Bug 134180 - get_myaddress: getifaddrs: Inappropriate ioctl for device
Summary: get_myaddress: getifaddrs: Inappropriate ioctl for device
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-09-30 00:34 UTC by Daniel Reed
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 21:58:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f -v -s 60 -o amd.strace amd -F /etc/amd.conf (45.82 KB, text/plain)
2004-09-30 00:36 UTC, Daniel Reed
no flags Details
strace (45.02 KB, text/plain)
2004-09-30 01:13 UTC, Daniel Reed
no flags Details
valgrind memcheck (4.50 KB, text/plain)
2004-09-30 01:14 UTC, Daniel Reed
no flags Details
gdb (763 bytes, text/plain)
2004-09-30 01:14 UTC, Daniel Reed
no flags Details

Description Daniel Reed 2004-09-30 00:34:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040928
Firefox/0.10

Description of problem:
[root@localhost root]# service amd restart
Stopping amd:
Starting amd: Sep 29 20:35:37 localhost amd[5087]/info:  using
configuration file /etc/amd.conf
get_myaddress: getifaddrs: Inappropriate ioctl for device
                                                           [FAILED]
[root@localhost root]#

Version-Release number of selected component (if applicable):
am-utils-6.0.9-9 kernel-2.6.8-1.590 glibc-2.3.3-59

How reproducible:
Always

Comment 1 Daniel Reed 2004-09-30 00:36:02 UTC
Created attachment 104557 [details]
strace -f -v -s 60 -o amd.strace amd -F /etc/amd.conf

Comment 2 Daniel Reed 2004-09-30 01:10:50 UTC
Identical behavior when I reboot back into kernel-2.6.8-1.541 (still
glibc-2.3.3-59).

In kernel-2.6.8-1.541 with glibc-2.3.3-60, strace reports amd seg
faults (without printing an error to the screen).

Comment 3 Daniel Reed 2004-09-30 01:13:41 UTC
Created attachment 104558 [details]
strace

Comment 4 Daniel Reed 2004-09-30 01:14:07 UTC
Created attachment 104559 [details]
valgrind memcheck

Comment 5 Daniel Reed 2004-09-30 01:14:25 UTC
Created attachment 104560 [details]
gdb

Comment 6 Daniel Reed 2004-09-30 01:30:19 UTC
Attachment 104557 [details] (amd.strace) is using kernel-2.6.8-1.590 and
glibc-2.3.3-59

Attachments 104558-104560 (amd3.strace, amd3.valgrind, and amd3.gdb)
are using kernel-2.6.8-1.541 and glibc-2.3.3-60

Comment 7 Ulrich Drepper 2004-10-11 21:57:38 UTC
glibc issue.

Comment 8 Ulrich Drepper 2004-10-11 21:58:42 UTC
This should long be resolved.  Use a current glibc (2.3.3-66 and up).
 Reopen if you still see a problem.


Note You need to log in before you can comment on or make changes to this bug.